diff -ruN vdr-1.3.41/i18n.c vdr-1.3.42/i18n.c
--- vdr-1.3.41/i18n.c	2006-01-28 11:38:33.000000000 +0100
+++ vdr-1.3.42/i18n.c	2006-02-04 15:17:54.000000000 +0100
@@ -3828,6 +4006,7 @@
     "Standardni prioritet",
     "Vaikimisi prioriteet",
     "Standard prioritet",
+    "Výchozí priorita",
   },
   { "Setup.Recording$Default lifetime (d)",
     "Default Lebensdauer (d)",
@@ -3849,6 +4028,7 @@
     "Standardno trajanje (d)",
     "Salvestuse eluiga (päevi)",
     "Standard levetid (d)",
+    "Výchozí ¾ivotnost",
   },
   { "Setup.Recording$Pause priority",
     "Pause Priorität",
@@ -3870,6 +4050,7 @@
     "Prioritet pauze",
     "Pausi prioriteet",
     "Pause prioritet",
+    "Priorita pøeru¹ení",
   },
   { "Setup.Recording$Pause lifetime (d)",
     "Pause Lebensdauer (d)",
@@ -3891,6 +4072,7 @@
     "Trajanje pauze (d)",
     "Pausi eluiga (päevi)",
     "Pause levetid (d)",
+    "®ivotnost pøeru¹ení (d)",
   },
   { "Setup.Recording$Use episode name",
     "Episodenname verwenden",
@@ -3912,6 +4094,7 @@
     "Koristi ime epizode",
     "Episoodi nime kasutamine",
     "Anvend udsendelsesnavn",
+    "Pou¾ívat název epizody",
   },
   { "Setup.Recording$Use VPS",
     "VPS benutzen",
@@ -3933,6 +4116,7 @@
     "Koristi VPS",
     "VPS-i kasutamine",
     "Anvend VPS",
+    "Pou¾ívat VPS",
   },
   { "Setup.Recording$VPS margin (s)",
     "Zeitpuffer bei VPS (s)",
@@ -3954,6 +4138,7 @@
     "Vremenska rezerva kod VPS (s)",
     "VPS-i algusvaru (s)",
     "VPS margin (s)",
+    "Èasová rezerva pro VPS (s)",
   },
   { "Setup.Recording$Mark instant recording",
     "Direktaufzeichnung markieren",
@@ -3975,6 +4160,7 @@
     "Oznaèi direktno snimanje",
     "Otsesalvestuse märgistamine",
     "Markér direkte optagelse",
+    "Oznaèit okam¾ité nahrávky",
   },
   { "Setup.Recording$Name instant recording",
     "Direktaufzeichnung benennen",
@@ -3996,6 +4182,7 @@
     "Imenuj direktno snimanje",
     "Otsesalvestuse nimi",
     "Navngiv direkte optagelse",
+    "Pojmenovat okam¾ité nahrávky",
   },
   { "Setup.Recording$Instant rec. time (min)",
     "Dauer der Direktaufzeichnung (min)",
@@ -4017,6 +4204,7 @@
     "Trajanje direktnog snimanja (min)",
     "Otsesalvestuse kestus (min)",
     "Længde af direkte optagelse (min)",
+    "Délka okam¾itého nahrávání (min)",
   },
   { "Setup.Recording$Max. video file size (MB)",
     "Max. Video Dateigröße (MB)",
@@ -4038,6 +4226,7 @@
     "Maksimalna velièina datoteke (MB)",
     "Maksimaalne failisuurus (MB)",
     "Max. video filstørrelse (MB)",
+    "Maximální velikost nahrávky (MB)",
   },
   { "Setup.Recording$Split edited files",
     "Editierte Dateien aufteilen",
@@ -4059,6 +4248,7 @@
     "Podijeli ureðene datoteke",
     "Redigeeritud failide tükeldamine",
     "Opdel redigerede filer",
+    "Dìlit editované soubory",
   },
   { "Setup.Replay$Multi speed mode",
     "MultiSpeed Modus",
@@ -4080,6 +4270,7 @@
     "MultiSpeed naèin",
     "Multi-kiiruse moodus",
     "Multi hastighedsmodus",
+    "Vícerychlostní mód",
   },
   { "Setup.Replay$Show replay mode",
     "Wiedergabestatus anzeigen",
@@ -4101,6 +4292,7 @@
     "Prika¾i naèin prikazivanja",
     "Korduse moodus",
     "Vis afspilningsmodus",
+    "Zobrazit re¾im pøehrávání",
   },
   { "Setup.Replay$Resume ID",
     "Wiedergabe ID",
@@ -4122,6 +4314,7 @@
     "ID nastavka",
     "Jätkamise ID",
     "Genoptagelses ID",
+    "ID obnovení",
   },
   { "Setup.Miscellaneous$Min. event timeout (min)",
     "Mindest Event Pause (min)",
@@ -4143,6 +4336,7 @@
     "Minimalno vrijeme pauze",
     "Min. sündmuse kestus (min)",
     "Mindste hændelsespause (min)",
+    "Min. pauza mezi událostmi (min)",
   },
   { "Setup.Miscellaneous$Min. user inactivity (min)",
     "Mindest Benutzer-Inaktivität (min)",
@@ -4164,6 +4358,7 @@
     "Minimalno vrijeme neaktivnosti (min)",
     "Min. kasutaja tegevusetus (min)",
     "Min. bruger inaktivitet (min)",
+    "Èasový limit neaktivnosti (min)",
   },
   { "Setup.Miscellaneous$SVDRP timeout (s)",
     "SVDRP Timeout (s)",
@@ -4185,6 +4380,7 @@
     "SVDRP vrijeme neaktivnosti",
     "SVDRP ooteaeg (s)",
     "SVDRP timeout (s)",
+    "Èasový limit SVDRP (s)",
   },
   { "Setup.Miscellaneous$Zap timeout (s)",
     "Zap Timeout (s)",
@@ -4206,6 +4402,7 @@
     "",// hrv TODO
     "Kanalivahetuse ooteaeg (s)",
     "Zap timeout (s)",
+    "Èasový limit Zap (s)",
   },
   // The days of the week:
   { "MTWTFSS",
@@ -4228,6 +4425,7 @@
     "PUSÈPSN", // hrv
     "ETKNRLP",
     "MTOTFLS",
+    "PUSÈPSN",
   },
   { "MonTueWedThuFriSatSun", // must all be 3 letters!
     "MonDieMitDonFreSamSon",
@@ -4249,6 +4447,7 @@
     "PonUtoSriÈetPetSubNed", // hrv
     " E  T  K  N  R  L  P ",
     "ManTirOnsTorFreLørSøn",
+    "Po Út St Èt Pá So Ne ",
   },
   // The allowed characters in strings:
   { " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
@@ -4271,6 +4470,7 @@
     " abcèædðefghijklmnopqrs¹tuvwxyz¾0123456789-.#~,/_@", // hrv
     " abcdefghijklmnopqrsðzþtuvwõäöüxyå0123456789-.#~,/_@",
     " abcdefghijklmnopqrstuvwxyzæøå0123456789-.#~,/_@",
+    " aábcèdïeéìfghiíjklmnòoópqrøs¹t»uúùvwxyýz¾0123456789-.#~,/_@",
   },
   // The character maps for entering letters via the numeric keys:
   { " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9",
@@ -4293,6 +4493,7 @@
     "",//TODO
     " 0\t-.#~,/_@1\tabcäå2\tdef3\tghi4\tjkl5\tmnoõö6\tpqrsð7\ttuvü8\twxyzþ9",
     " 0\t-.#~,/_@1\tabcæå2\tdef3\tghi4\tjkl5\tmnoø6\tpqrs7\ttuv8\twxyz9",
+    " 0\t-.#~,/_@1\tabcáè2\tdefïéì3\tghií4\tjkl5\tmnoòó6\tpqrsø¹7\ttuv»úù8\twxyzý¾9",
   },
   // Learning keys:
   { "Learning Remote Control Keys",
@@ -4315,6 +4516,7 @@
     "Uèenje kôda daljinskog upravljaèa",
     "Kaugjuhtimispuldi õpetamine",
     "Lærer fjernbetjeningstaster",
+    "Uèení kódù dálkového ovládání",
   },
   { "Phase 1: Detecting RC code type",
     "Phase 1: FB Code feststellen",
@@ -4336,6 +4538,7 @@
     "Faza 1: detektiranje kôda daljinskog upravljaèa.",
     "Aste 1: Kodeerimissüsteemi tuvastamine",
     "Fase 1: Detekterer fjernbetjenings-kodetype",
+    "Fáze 1: Detekce typu kódu",
   },
   { "Press any key on the RC unit",
     "Eine Taste auf der FB drücken",
@@ -4357,6 +4560,7 @@
     "Pritisnite tipku na daljinskom upravljaèu",
     "Vajuta puldil suvalist klahvi",
     "Tryk vilkårlig tast på fjernbetjeningen",
+    "Stisknìte libovolnou klávesu ovládání",
   },
   { "RC code detected!",
     "FB Code erkannt!",
@@ -4378,6 +4582,7 @@
     "Kôd daljinskog upravljaèa je prepoznat!",
     "Kodeerimissüsteem tuvastatud!",
     "Fjernbetjenings-kodetype fundet!",
+    "Kód byl detekován!",
   },
   { "Do not press any key...",
     "Keine Taste drücken...",
@@ -4399,6 +4604,7 @@
     "Ne pritiskajte tipku...",
     "Ära vajuta puldil ühtki klahvi...",
     "Tryk ikke på nogen tast...",
+    "Nemaèkejte ¾ádné klávesy...",
   },
   { "Phase 2: Learning specific key codes",
     "Phase 2: Einzelne Tastencodes lernen",
@@ -4420,6 +4626,7 @@
     "Faza 2: Uèenje posebnih kôdova",
     "Aste 2: Klahvide õpetamine",
     "Fase 2: Lær individuelle tast koder",
+    "Fáze 2: Uèení konkrétního kódu kláves",
   },
   { "Press key for '%s'",
     "Taste für '%s' drücken",
@@ -4441,6 +4648,7 @@
     "Pritisnite tipku za '%s'",
     "Vajuta klahvile '%s'",
     "Tryk tasten for '%s'",
+    "Stisknìte klávesu pro '%s'",
   },
   { "Press 'Up' to confirm",
     "'Auf' drücken zum Bestätigen",
@@ -4462,6 +4670,7 @@
     "Pritisnite 'Gore' za potvrdu",
     "Kinnitamiseks vajuta 'Üles'",
     "Tryk 'Op' for at bekræfte",
+    "Stisknìte 'Nahoru' pro potvrzení",
   },
   { "Press 'Down' to continue",
     "'Ab' drücken zum Weitermachen",
@@ -4483,6 +4692,7 @@
     "Pritisnite 'Dolje' za nastavak",
     "Jätkamiseks vajuta 'Alla'",
     "Tryk 'Ned' for at fortsætte",
+    "Stisknìte 'Dolù' pro pokraèování",
   },
   { "(press 'Up' to go back)",
     "('Auf' drücken um zurückzugehen)",
@@ -4504,6 +4714,7 @@
     "(pritisnite 'Gore' za nazad)",
     "(tagasiminekuks vajuta 'Üles')",
     "(tryk 'Op' for at gå tilbage)",
+    "(stisknìte 'Nahoru' pro zpìt)",
   },
   { "(press 'Down' to end key definition)",
     "('Ab' drücken zum Beenden)",
@@ -4525,6 +4736,7 @@
     "(pritisnite 'Dolje' za kraj)",
     "(lõpetamiseks vajuta 'Alla')",
     "(tryk 'Ned' for at afslutte indlæringen)",
+    "(stisknìte 'Dolù' pro ukonèení)",
   },
   { "(press 'Menu' to skip this key)",
     "('Menü' drücken zum Überspringen)",
@@ -4546,6 +4758,7 @@
     "pritisnite 'Izbor' da preskoèite ovu tipku",
     "(selle klahvi vahelejätmiseks vajuta 'Menüü')",
     "(tryk 'Menu' for at springe denne tast over)",
+    "(stisknìte 'Menu' pro pøeskoèení definice klávesy)",
   },
   { "Phase 3: Saving key codes",
     "Phase 3: Codes abspeichern",
@@ -4567,6 +4780,7 @@
     "Faza 3: Spremanje kôdova tipki",
     "Aste 3: Klavhikoodide salvestamine",
     "Fase 3: Gemmer tast koder",
+    "Fáze 3: Ulo¾ení kódù",
   },
   { "Press 'Up' to save, 'Down' to cancel",
     "'Auf' speichert, 'Ab' bricht ab",
@@ -4588,6 +4802,7 @@
     "'Gore' za potvrdu, 'Dolje' za prekid",
     "Salvestamiseks vajuta 'Üles' ja katkestamiseks 'Alla'",
     "Tryk 'Op' for at gemme, 'Ned' for at annullere",
+    "Stisknìte 'Nahoru' pro ulo¾ení, 'Dolù' pro zru¹ení",
   },
   // Key names:
   { "Key$Up",
@@ -4610,6 +4825,7 @@
     "Gore",
     "Üles",
     "Op",
+    "Nahoru",
   },
   { "Key$Down",
     "Ab",
@@ -4631,6 +4847,7 @@
     "Dolje",
     "Alla",
     "Ned",
+    "Dolù",
   },
   { "Key$Menu",
     "Menü",
@@ -4652,6 +4869,7 @@
     "Izbor",
     "Menüü",
     "Menu",
+    "Menu",
   },
   { "Key$Ok",
     "Ok",
@@ -4673,6 +4891,7 @@
     "Ok",
     "Ok",
     "Ok",
+    "Ok",
   },
   { "Key$Back",
     "Zurück",
@@ -4694,6 +4913,7 @@
     "Nazad",
     "Tagasi",
     "Tilbage",
+    "Zpìt",
   },
   { "Key$Left",
     "Links",
@@ -4715,6 +4935,7 @@
     "Lijevo",
     "Vasakule",
     "Venstre",
+    "Vlevo",
   },
   { "Key$Right",
     "Rechts",
@@ -4736,6 +4957,7 @@
     "Desno",
     "Paremale",
     "Højre",
+    "Vpravo",
   },
   { "Key$Red",
     "Rot",
@@ -4757,6 +4979,7 @@
     "Crveno",
     "Punane",
     "Rød",
+    "Èervený",
   },
   { "Key$Green",
     "Grün",
@@ -4778,6 +5001,7 @@
     "Zeleno",
     "Roheline",
     "Grøn",
+    "Zelený",
   },
   { "Key$Yellow",
     "Gelb",
@@ -4799,6 +5023,7 @@
     "®uto",
     "Kollane",
     "Gul",
+    "®lutý",
   },
   { "Key$Blue",
     "Blau",
@@ -4820,6 +5045,7 @@
     "Plavo",
     "Sinine",
     "Blå",
+    "Modrý",
   },
   { "Key$Info",
     "Info",
@@ -4841,6 +5067,7 @@
     "Info",
     "Info",
     "Info",
+    "Info",
   },
   { "Key$Play",
     "Wiedergabe",
@@ -4862,6 +5089,7 @@
     "Start",
     "Start",
     "Afspil",
+    "Pøehrát",
   },
   { "Key$Pause",
     "Pause",
@@ -4883,6 +5111,7 @@
     "Pauza",
     "Paus",
     "Pause",
+    "Pøeru¹it",
   },
   { "Key$Stop",
     "Stop",
@@ -4904,6 +5133,7 @@
     "Stop",
     "Stopp",
     "Stop",
+    "Zastavit",
   },
   { "Key$Record",
     "Aufnehmen",
@@ -4925,6 +5155,7 @@
     "Snimaj",
     "Salvestamine",
     "Optag",
+    "Nahrát",
   },
   { "Key$FastFwd",
     "Vorlauf",
@@ -4946,6 +5177,7 @@
     "Naprijed",
     "Edasikerimine",
     "Spol fremad",
+    "Dopøedu",
   },
   { "Key$FastRew",
     "Rücklauf",
@@ -4967,6 +5199,7 @@
     "Nazad",
     "Tagasikerimine",
     "Spol tilbage",
+    "Dozadu",
   },
   { "Key$Power",
     "Ausschalten",
@@ -4988,6 +5221,7 @@
     "Iskljuèi",
     "Toide",
     "Sluk",
+    "Vypínaè",
   },
   { "Key$Channel+",
     "Kanal+",
@@ -5009,6 +5243,7 @@
     "Program +",
     "Kanal+",
     "Kanal+",
+    "Kanál+",
   },
   { "Key$Channel-",
     "Kanal-",
@@ -5030,6 +5265,7 @@
     "Program -",
     "Kanal-",
     "Kanal-",
+    "Kanál-",
   },
   { "Key$Volume+",
     "Lautstärke+",
@@ -5051,6 +5287,7 @@
     "Glasnije", // hrv "Glasnocca +"
     "Helitugevus+",
     "Lydstyrke+",
+    "Hlasitost+",
   },
   { "Key$Volume-",
     "Lautstärke-",
@@ -5072,6 +5309,7 @@
     "Ti¹e", // hrv Glasnocca -"
     "Helitugevus-",
     "Lydstyrke-",
+    "Hlasitost-",
   },
   { "Key$Mute",
     "Stumm",
@@ -5093,6 +5331,7 @@
     "Bez zvuka",
     "Hääletu",
     "Sluk lyd",
+    "Ticho",
   },
   { "Key$Audio",
     "Audio",
@@ -5114,6 +5353,7 @@
     "",// TODO
     "Audio",
     "Audio",
+    "Zvuk",
   },
   // Miscellaneous:
   { "yes",
@@ -5136,6 +5376,7 @@
     "da",
     "jah",
     "ja",
+    "ano",
   },
   { "no",
     "nein",
@@ -5157,6 +5398,7 @@
     "ne",
     "ei",
     "nej",
+    "ne",
   },
   { "off",
     "aus",
@@ -5178,6 +5420,7 @@
     "ugasi",
     "välja",
     "fra",
+    "vyp.",
   },
   { "none",
     "keine",
@@ -5199,6 +5442,7 @@
     "nijedan",
     "tühi",
     "ingen",
+    "¾ádný",
   },
   { "auto",
     "auto",
@@ -5220,6 +5464,7 @@
     "automatski",
     "automaatne",
     "automatisk",
+    "auto",
   },
   { "top",
     "oben",
@@ -5241,6 +5486,7 @@
     "gore",
     "üleval",
     "top",
+    "hahoøe",
   },
   { "bottom",
     "unten",
@@ -5262,6 +5508,7 @@
     "dolje",
     "all",
     "bund",
+    "dole",
   },
   { "Disk",
     "Disk",
@@ -5283,6 +5530,7 @@
     "Disk",
     "Ketas",
     "Disk",
+    "Disk",
   },
   { "free",
     "frei",
@@ -5304,6 +5552,7 @@
     "slobodno",
     "vaba",
     "fri",
+    "volno",
   },
   { "Jump: ", // note the trailing blank
     "Springen: ",
@@ -5325,6 +5574,7 @@
     "Skoèi: ",
     "Hüpe: ",
     "Hop: ",
+    "Skok: ",
   },
   { "Volume ", // note the trailing blank
     "Lautstärke ",
@@ -5346,6 +5596,7 @@
     "Glasnoæa ",
     "Helitugevus ",
     "Lydstyrke ",
+    "Hlasitost ",
   },
   { " Stop replaying", // note the leading blank!
     " Wiedergabe beenden",
@@ -5367,6 +5618,7 @@
     " Prekini reprodukciju",
     " Lõpeta taasesitamine",
     " Stop afspilning",
+    " Zastavit pøehrávání",
   },
   { " Stop recording ", // note the leading and trailing blanks!
     " Aufzeichnung beenden ",
@@ -5388,6 +5640,7 @@
     " Prekini snimanje ",
     " Lõpeta salvestamine ",
     " Stop optagelse ",
+    " Zastavit nahrávání ",
   },
   { " Cancel editing", // note the leading blank!
     " Schneiden abbrechen",
@@ -5409,6 +5662,7 @@
     " Prekini ureðivanje",
     " Katkesta monteerimine",
     " Afbryd redigering",
+    " Zru¹it editaci",
   },
   { "Switching primary DVB...",
     "Primäres Interface wird umgeschaltet...",
@@ -5430,6 +5684,7 @@
     "Preklapanje primarnog DVB ureðaja...",
     "Esmase DVB seadme ümberlülitus...",
     "Skifter primær DVB enhed...",
+    "Pøepnout primární DVB...",
   },
   { "Up/Dn for new location - OK to move",
     "Auf/Ab für neue Position - dann OK",
@@ -5451,6 +5706,7 @@
     "Gore/Dolje na novu poziciju - zatim OK",
     "'Üles/Alla' uus asukoht - 'OK' kinnitus",
     "Op/Ned for ny placering - OK for at flytte",
+    "Nahoru/Dolu pro novou pozici - Ok pøesune",
   },
   { "Editing process started",
     "Schnitt gestartet",
@@ -5472,6 +5728,7 @@
     "Rezanje je zapoèeto",
     "Redigeerimine algas",
     "Redigeringsproces startet",
+    "Editaèní proces zaèal",
   },
   { "Editing process finished",
     "Schnitt beendet",
@@ -5493,6 +5750,7 @@
     "Rezanje zavr¹eno",
     "Redigeerimine lõpetatud",
     "Redigeringsproces afsluttet",
+    "Editaèní proces skonèil",
   },
   { "Editing process failed!",
     "Schnitt gescheitert!",
@@ -5514,6 +5772,7 @@
     "Rezanje neuspje¹no!",
     "Redigeerimine ebaõnnestus",
     "Redigeringsproces fejlede!",
+    "Editaèní proces selhal!",
   },
   { "Recording started",
     "Aufzeichnung gestartet",
@@ -5535,6 +5794,7 @@
     "",//TODO
     "Salvestamine algas",
     "Optagelse startet",
+    "Zaèalo nahrávání",
   },
   { "Pausing live video...",
     "Live-Signal wird angehalten...",
@@ -5556,6 +5816,7 @@
     "Zaustavljanje ¾ivog signala...",
     "Saate edastamise peatamine...",
     "Pausere live udsendelse...",
+    "Pøeru¹uje se bì¾ící program ...",
   },
   { "Starting EPG scan",
     "Beginne mit EPG-Scan",
@@ -5577,6 +5838,7 @@
     "Poèinjem EPG-scan",
     "EPG skaneerimine käivitatud",
     "Starter EPG skanning",
+    "Zaèíná prohledávání EPG",
   },
   { "This plugin has no setup parameters!",
     "Dieses Plugin hat keine Setup-Parameter!",
@@ -5598,6 +5860,7 @@
     "Ovaj dodatak (Plugin) nema parametara!",
     "Sellel laienudusmoodulil ei ole seadeid!",
     "Denne plugin har ingen parametre",
+    "Modul nemá konfiguraèní parametry!",
   },
   { "Classic VDR",
     "Klassischer VDR",
@@ -5619,6 +5882,7 @@
     "Klasièni VDR",
     "Klassikaline VDR",
     "Klassisk VDR",
+    "Klasické VDR",
   },
   { "ST:TNG Panels",
     "ST:TNG Konsolen",
@@ -5640,6 +5904,7 @@
     "ST:TNG Konzole",
     "ST:TNG konsool",
     "ST:TNG konsol",
+    "ST:TNG konzola",
   },
   { "No title",
     "Kein Titel",
@@ -5661,6 +5926,7 @@
     "Bez titla",
     "Pealkiri puudub",
     "Ingen titel",
+    "Bez názvu",
   },
   { NULL }
   };
diff -ruN vdr-1.3.41/i18n.h vdr-1.3.42/i18n.h
--- vdr-1.3.41/i18n.h	2005-09-09 16:50:35.000000000 +0200
+++ vdr-1.3.42/i18n.h	2006-02-04 11:41:16.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.h 1.16 2005/09/09 14:50:35 kls Exp $
+ * $Id: i18n.h 1.17 2006/02/04 10:41:16 kls Exp $
  */
 
 #ifndef __I18N_H
@@ -12,7 +12,7 @@
 
 #include <stdio.h>
 
-const int I18nNumLanguages = 20;
+const int I18nNumLanguages = 21;
 
 typedef const char *tI18nPhrase[I18nNumLanguages];
 
diff -ruN vdr-1.3.41/menu.c vdr-1.3.42/menu.c
--- vdr-1.3.41/menu.c	2006-01-29 15:04:37.000000000 +0100
+++ vdr-1.3.42/menu.c	2006-02-05 14:31:08.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menu.c 1.407 2006/01/29 14:04:37 kls Exp $
+ * $Id: menu.c 1.410 2006/02/05 13:31:08 kls Exp $
  */
 
 #include "menu.h"
@@ -1437,7 +1437,7 @@
        case kYellow: if (schedules)
                         return AddSubMenu(new cMenuWhatsOn(schedules, false, cMenuWhatsOn::CurrentChannel()));
                      break;
-       case kBlue:   if (Count())
+       case kBlue:   if (Count() && otherChannel)
                         return Switch();
                      break;
        case kOk:     if (Count())
@@ -3083,7 +3083,7 @@
   if (Direction) {
      while (Channel) {
            Channel = Direction > 0 ? Channels.Next(Channel) : Channels.Prev(Channel);
-           if (Channel && !Channel->GroupSep() && cDevice::GetDevice(Channel, 0))
+           if (Channel && !Channel->GroupSep() && (cDevice::PrimaryDevice()->ProvidesChannel(Channel, Setup.PrimaryLimit) || cDevice::GetDevice(Channel, 0)))
               return Channel;
            }
      }
@@ -3326,7 +3326,7 @@
 :cOsdObject(true)
 {
   cDevice::PrimaryDevice()->EnsureAudioTrack();
-  SetTrackDescriptions(!cDevice::PrimaryDevice()->Replaying() || cTransferControl::ReceiverDevice() ? cDevice::CurrentChannel() : 0);
+  SetTrackDescriptions(!cDevice::PrimaryDevice()->Replaying() || cDevice::PrimaryDevice()->Transferring() ? cDevice::CurrentChannel() : 0);
   currentDisplayTracks = this;
   numTracks = track = 0;
   audioChannel = cDevice::PrimaryDevice()->GetAudioChannel();
diff -ruN vdr-1.3.41/menuitems.c vdr-1.3.42/menuitems.c
--- vdr-1.3.41/menuitems.c	2006-01-21 13:27:14.000000000 +0100
+++ vdr-1.3.42/menuitems.c	2006-02-04 13:47:08.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menuitems.c 1.30 2006/01/21 12:27:14 kls Exp $
+ * $Id: menuitems.c 1.31 2006/02/04 12:47:08 kls Exp $
  */
 
 #include "menuitems.h"
@@ -345,7 +345,7 @@
   bool SameKey = Key == lastKey;
   if (Key != kNone)
      lastKey = Key;
-  else if (!newchar && autoAdvanceTimeout.TimedOut()) {
+  else if (!newchar && k0 <= NORMALKEY(lastKey) && NORMALKEY(lastKey) <= k9 && autoAdvanceTimeout.TimedOut()) {
      AdvancePos();
      newchar = true;
      currentChar = NULL;
@@ -427,7 +427,7 @@
                        value[pos] = toupper(Inc(tolower(value[pos]), NORMALKEY(Key) == kUp));
                     else
                        value[pos] =         Inc(        value[pos],  NORMALKEY(Key) == kUp);
-                    newchar = true;
+                    newchar = false;
                     }
                  else
                     return cMenuEditItem::ProcessKey(Key);
diff -ruN vdr-1.3.41/osd.c vdr-1.3.42/osd.c
--- vdr-1.3.41/osd.c	2005-12-30 16:42:04.000000000 +0100
+++ vdr-1.3.42/osd.c	2006-02-05 14:46:37.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: osd.c 1.65 2005/12/30 15:42:04 kls Exp $
+ * $Id: osd.c 1.66 2006/02/05 13:46:37 kls Exp $
  */
 
 #include "osd.h"
@@ -112,7 +112,7 @@
   LoadXpm(FileName);
 }
 
-cBitmap::cBitmap(char *Xpm[])
+cBitmap::cBitmap(const char *const Xpm[])
 {
   bitmap = NULL;
   x0 = 0;
@@ -251,9 +251,9 @@
   return Result;
 }
 
-bool cBitmap::SetXpm(char *Xpm[], bool IgnoreNone)
+bool cBitmap::SetXpm(const char *const Xpm[], bool IgnoreNone)
 {
-  char **p = Xpm;
+  const char *const *p = Xpm;
   int w, h, n, c;
   if (4 != sscanf(*p, "%d %d %d %d", &w, &h, &n, &c)) {
      esyslog("ERROR: faulty 'values' line in XPM: '%s'", *p);
diff -ruN vdr-1.3.41/osd.h vdr-1.3.42/osd.h
--- vdr-1.3.41/osd.h	2005-12-18 13:56:21.000000000 +0100
+++ vdr-1.3.42/osd.h	2006-02-05 14:46:37.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: osd.h 1.50 2005/12/18 12:56:21 kls Exp $
+ * $Id: osd.h 1.51 2006/02/05 13:46:37 kls Exp $
  */
 
 #ifndef __OSD_H
@@ -112,7 +112,7 @@
        ///< this offset (unless specified otherwise).
   cBitmap(const char *FileName);
        ///< Creates a bitmap and loads an XPM image from the given file.
-  cBitmap(char *Xpm[]);
+  cBitmap(const char *const Xpm[]);
        ///< Creates a bitmap from the given XPM data.
   virtual ~cBitmap();
   int X0(void) const { return x0; }
@@ -140,7 +140,7 @@
   bool LoadXpm(const char *FileName);
        ///< Calls SetXpm() with the data from the file FileName.
        ///< Returns true if the operation was successful.
-  bool SetXpm(char *Xpm[], bool IgnoreNone = false);
+  bool SetXpm(const char *const Xpm[], bool IgnoreNone = false);
        ///< Sets this bitmap to the given XPM data. Any previous bitmap or
        ///< palette data will be overwritten with the new data.
        ///< If IgnoreNone is true, a "none" color entry will be ignored.
diff -ruN vdr-1.3.41/osdbase.c vdr-1.3.42/osdbase.c
--- vdr-1.3.41/osdbase.c	2006-01-08 12:40:02.000000000 +0100
+++ vdr-1.3.42/osdbase.c	2006-02-05 15:37:03.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: osdbase.c 1.28 2006/01/08 11:40:02 kls Exp $
+ * $Id: osdbase.c 1.29 2006/02/05 14:37:03 kls Exp $
  */
 
 #include "osdbase.h"
@@ -280,6 +280,12 @@
      return;
   while (--tmpCurrent != current) {
         if (tmpCurrent < 0) {
+           if (first > 0) {
+              // make non-selectable items at the beginning visible:
+              first = 0;
+              Display();
+              return;
+              }
            if (Setup.MenuScrollWrap)
               tmpCurrent = last + 1;
            else
@@ -312,6 +318,12 @@
      return;
   while (++tmpCurrent != current) {
         if (tmpCurrent > last) {
+           if (first < last - displayMenuItems) {
+              // make non-selectable items at the end visible:
+              first = last - displayMenuItems + 1;
+              Display();
+              return;
+              }
            if (Setup.MenuScrollWrap)
               tmpCurrent = -1;
            else
diff -ruN vdr-1.3.41/recording.c vdr-1.3.42/recording.c
--- vdr-1.3.41/recording.c	2006-01-20 18:18:59.000000000 +0100
+++ vdr-1.3.42/recording.c	2006-02-05 13:34:08.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.c 1.133 2006/01/20 17:18:59 kls Exp $
+ * $Id: recording.c 1.134 2006/02/05 12:34:08 kls Exp $
  */
 
 #include "recording.h"
@@ -604,6 +604,7 @@
 {
   if (!sortBuffer) {
      char *s = StripEpisodeName(strdup(FileName() + strlen(VideoDirectory) + 1));
+     strreplace(s, '/', 'a'); // some locales ignore '/' when sorting
      int l = strxfrm(NULL, s, 0) + 1;
      sortBuffer = MALLOC(char, l);
      strxfrm(sortBuffer, s, l);
